import React from "react";
import { Icon } from "./index";
import icons from "./icons";

export const Default = (args: any) => {
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  const { name: _, ...rest } = args;

  return (
    <div className="flex flex-wrap gap-4 p-6">
      {Object.keys(icons).map((icon) => {
        return (
          <div key={icon} title={icon}>
            <Icon {...rest} name={icon as any} />
          </div>
        );
      })}
    </div>
  );
};

export default {
  title: "Components/Icon/Default",
  component: Icon,
};
